os:
- linux

language: php

env:
  global:
    secure: v4ay9b86o/wwBaW+7k7HdB8M7drF274LEkh2SYmKz/vLauc5gbKsEeaoDTek9xAOfa3V/3FDBYecty/qfhjDeo1gIVmvoE4DEf2XjszwyWUqRJTucqT+C8cKxSkbc0b3C/Xw8KF1oaaJ/HMHr/iVk9Q1TOyjdijnoG/PF1CZeSA=

addons:
  apt:
    packages:
      - ant

cache:
  directories:
    - "$HOME/.phive"
    - "$HOME/.phive/phars"
    - "$HOME/.cache/composer"
    - "$HOME/.composer/cache"
    - "$HOME/.gnupg"


before_install:
  - mkdir -p "$HOME/bin"
  - export PATH="$HOME/bin:$PATH"
  - if [ -n "$GITHUB_AUTH_TOKEN" ]; then echo "Github auth token found."; fi
  - if [ ! -d "$HOME/.phive" ]; then mkdir "$HOME/.phive"; fi
  - if [ ! -f "$HOME/.phive/phive.phar" ]; then ant getphive; mv phive.phar "$HOME/.phive/"; fi
  - install --mode=0755 -T "$HOME/.phive/phive.phar" "$HOME/bin/phive"

install:
  - ant setup

script:
  - ant test

php:
  - 7.2
  - 7.3
  - 7.4
  - 7.2snapshot
  - 7.3snapshot
  - 7.4snapshot
  - master

matrix:
  allow_failures:
    - php: master
  fast_finish: true

notifications:
  email: false
